## org.eclipse.uml2.uml
Interface Clause

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Clause

extends Element

A representation of the model object 'Clause'. A clause is an element that represents a single branch of a conditional construct, including a test and a body section. The body section is executed only if (but not necessarily if) the test section evaluates true.

The following features are supported:

- `Test`
- `Body`
- `Predecessor Clause`
- `Successor Clause`
- `Decider`
- `Body Output`

See Also:
  `UMLPackage.getClause()`

Method Summary
`org.eclipse.emf.common.util.EList<ExecutableNode>` `getBodies()` Returns the value of the 'Body' reference list.
`ExecutableNode` `getBody(java.lang.String name)` Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Body' reference list
`ExecutableNode` `getBody(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Body' reference list
`OutputPin` `getBodyOutput(java.lang.String name, Type type)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Body Output' reference list
`OutputPin` `getBodyOutput(java.lang.String name, Type type, boolean ignoreCase)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Body Output' reference list
`org.eclipse.emf.common.util.EList<OutputPin>` `getBodyOutputs()` Returns the value of the 'Body Output' reference list.
`OutputPin` `getDecider()` Returns the value of the 'Decider' reference
`org.eclipse.emf.common.util.EList<Clause>` `getPredecessorClauses()` Returns the value of the 'Predecessor Clause' reference list.
`org.eclipse.emf.common.util.EList<Clause>` `getSuccessorClauses()` Returns the value of the 'Successor Clause' reference list.
`ExecutableNode` `getTest(java.lang.String name)` Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Test' reference list
`ExecutableNode` `getTest(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Test' reference list
`org.eclipse.emf.common.util.EList<ExecutableNode>` `getTests()` Returns the value of the 'Test' reference list.
`void` `setDecider(OutputPin value)` Sets the value of the '`Decider`' reference
`boolean` `validateBodyOutputPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The bodyOutput pins are output pins on actions in the body of the clause.
`boolean` `validateDeciderOutput(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The decider output pin must be for the test body or a node contained by the test body as a structured node.

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTests

    org.eclipse.emf.common.util.EList<ExecutableNode> getTests()

  Returns the value of the 'Test' reference list. The list contents are of type `ExecutableNode`. A nested activity fragment with a designated output pin that specifies the result of the test.

  Returns:
    the value of the 'Test' reference list.
  See Also:
    `UMLPackage.getClause_Test()`

### getTest

    ExecutableNode getTest(java.lang.String name)

  Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Test' reference list.

  Parameters:
    `name` - The 'Name' of the `ExecutableNode` to retrieve, or `null`.
  Returns:
    The first `ExecutableNode` with the specified 'Name', or `null`.
  See Also:
    `getTests()`

### getTest

    ExecutableNode getTest(java.lang.String name,
                           boolean ignoreCase,
                           org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Test' reference list.

  Parameters:
    `name` - The 'Name' of the `ExecutableNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ExecutableNode` to retrieve, or `null`.
  Returns:
    The first `ExecutableNode` with the specified 'Name', or `null`.
  See Also:
    `getTests()`

### getBodies

    org.eclipse.emf.common.util.EList<ExecutableNode> getBodies()

  Returns the value of the 'Body' reference list. The list contents are of type `ExecutableNode`. A nested activity fragment that is executed if the test evaluates to true and the clause is chosen over any concurrent clauses that also evaluate to true.

  Returns:
    the value of the 'Body' reference list.
  See Also:
    `UMLPackage.getClause_Body()`

### getBody

    ExecutableNode getBody(java.lang.String name)

  Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Body' reference list.

  Parameters:
    `name` - The 'Name' of the `ExecutableNode` to retrieve, or `null`.
  Returns:
    The first `ExecutableNode` with the specified 'Name', or `null`.
  See Also:
    `getBodies()`

### getBody

    ExecutableNode getBody(java.lang.String name,
                           boolean ignoreCase,
                           org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ExecutableNode` with the specified 'Name' from the 'Body' reference list.

  Parameters:
    `name` - The 'Name' of the `ExecutableNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ExecutableNode` to retrieve, or `null`.
  Returns:
    The first `ExecutableNode` with the specified 'Name', or `null`.
  See Also:
    `getBodies()`

### getPredecessorClauses

    org.eclipse.emf.common.util.EList<Clause> getPredecessorClauses()

  Returns the value of the 'Predecessor Clause' reference list. The list contents are of type `Clause`. It is bidirectional and its opposite is '`Successor Clause`'. A set of clauses whose tests must all evaluate false before the current clause can be tested.

  Returns:
    the value of the 'Predecessor Clause' reference list.
  See Also:
    `UMLPackage.getClause_PredecessorClause()`, `getSuccessorClauses()`

### getSuccessorClauses

    org.eclipse.emf.common.util.EList<Clause> getSuccessorClauses()

  Returns the value of the 'Successor Clause' reference list. The list contents are of type `Clause`. It is bidirectional and its opposite is '`Predecessor Clause`'. A set of clauses which may not be tested unless the current clause tests false.

  Returns:
    the value of the 'Successor Clause' reference list.
  See Also:
    `UMLPackage.getClause_SuccessorClause()`, `getPredecessorClauses()`

### getDecider

    OutputPin getDecider()

  Returns the value of the 'Decider' reference. An output pin within the test fragment the value of which is examined after execution of the test to determine whether the body should be executed.

  Returns:
    the value of the 'Decider' reference.
  See Also:
    `setDecider(OutputPin)`, `UMLPackage.getClause_Decider()`

### setDecider

    void setDecider(OutputPin value)

  Sets the value of the '`Decider`' reference.

  Parameters:
    `value` - the new value of the 'Decider' reference.
  See Also:
    `getDecider()`

### getBodyOutputs

    org.eclipse.emf.common.util.EList<OutputPin> getBodyOutputs()

  Returns the value of the 'Body Output' reference list. The list contents are of type `OutputPin`. A list of output pins within the body fragment whose values are moved to the result pins of the containing conditional node after execution of the clause body.

  Returns:
    the value of the 'Body Output' reference list.
  See Also:
    `UMLPackage.getClause_BodyOutput()`

### getBodyOutput

    OutputPin getBodyOutput(java.lang.String name,
                            Type type)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Body Output' reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getBodyOutputs()`

### getBodyOutput

    OutputPin getBodyOutput(java.lang.String name,
                            Type type,
                            boolean ignoreCase)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Body Output' reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getBodyOutputs()`

### validateDeciderOutput

    boolean validateDeciderOutput(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  The decider output pin must be for the test body or a node contained by the test body as a structured node. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateBodyOutputPins

    boolean validateBodyOutputPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

  The bodyOutput pins are output pins on actions in the body of the clause. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.